package main

import (
	"database/sql"
	"encoding/csv"
	_ "github.com/mattn/go-sqlite3"
	"io"
	"log"
	"os"
	"strconv"
)

// documentation for csv is at http://golang.org/pkg/encoding/csv/
func main() {
	db, err := sql.Open("sqlite3", "/home/frick/go/src/bitbucket.org/prmunty/enginemain/prime_unity.db")
	file, err := os.Open("./mode-data.csv")

	if err != nil {
		// err is printable
		// elements passed are separated by space automatically
		//fmt.Println("Error:", err)
		return
	}
	defer db.Close()

	sqlStmt := `delete from drop_downs;`
	_, err = db.Exec(sqlStmt)

	if err != nil {
		log.Printf("%q: %s\n", err, sqlStmt)
		return
	}

	log.Println("...starting")

	reader := csv.NewReader(file)
	reader.Comma = ','
	lineCount := 0

	tx, err := db.Begin()
	if err != nil {
		log.Fatal(err)
	}
	stmt, err := tx.Prepare("INSERT INTO drop_downs (mode_data, text_index, language_id) VALUES (?, ?, ?)")
	if err != nil {
		log.Fatal(err)
	}
	defer stmt.Close()

	for {
		// read just one record
		record, err := reader.Read()
		// end-of-file is fitted into err
		if err == io.EOF {
			log.Println("END OF LINE")
			break
		} else if err != nil {
			log.Println("ERR != NIL")
			//fmt.Println("Error:", err)
			return
		}

		for i := 0; i < 200; i++ {
			//log.Println(record[5 + i])
			if record[5+i] != "" && record[5+i] != "0" {
				if _, err := strconv.Atoi(record[5+i]); err == nil {

					//					tx, _ := db.Begin()
					//						_, _ = db.Exec("INSERT INTO drop_downs (mode_data, text_index, language_id) VALUES (" + strconv.Itoa(lineCount-1) + ", " + strconv.Itoa((5 + i)-6) + ", " + record[5 + i] + ")")
					//					tx.Commit()

					_, err = stmt.Exec(" + strconv.Itoa(lineCount-1) + ", " + strconv.Itoa((5 + i)-6) + ", " + record[5 + i] + ")
					if err != nil {
						log.Fatal(err)
					}
					log.Println("INSERT INTO drop_downs (mode_data, text_index, language_id) VALUES (" + strconv.Itoa(lineCount-1) + ", " + strconv.Itoa((5+i)-6) + ", " + record[5+i] + ")")
				}
			}
		}

		lineCount += 1
	}
	tx.Commit()

}
