// Coincides with 10.41
package main

import (
	"database/sql"
	"net"

	migration "bitbucket.org/prmunty/util/dbmigration/db"
	"bitbucket.org/prmunty/util/ethernet"
	_ "github.com/mattn/go-sqlite3"
)

func main() {
	const version float64 = 5.0

	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx,
			UpdateEquipmentTable,
		)
	})

}

func UpdateEquipmentTable(tx *sql.Tx) error {
	rows, err := tx.Query(
		`SELECT ip FROM equipment`,
	);

	if err != nil {
		return err
	}

	for rows.Next() {
		var ip string

		err = rows.Scan(&ip)
		if err != nil {
			return err
		}

		netIp := net.ParseIP(ip)

		if ethernet.IsLocalIP(netIp) {
			if _, err = tx.Exec(
				`DELETE FROM equipment WHERE ip = ?`,
				ip,
			); err != nil {
				return err
			}
		}
	}

	return nil
}
