// Coincides with 10.41
package main

import (
	migration "bitbucket.org/prmunty/util/dbmigration/db"
	"database/sql"
	_ "github.com/mattn/go-sqlite3"
	"log"
)

func main() {

	log.Println("starting...")

	const version float64 = 6.0

	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx,
			AddUniqueIDTable,
		)
	})
}

func AddUniqueIDTable(tx *sql.Tx) error {

	if _, err := tx.Exec(
		`DROP TABLE IF EXISTS uniqueID; CREATE TABLE uniqueID(id Text)`,
	); err != nil {
		return err
	}
	_, err := tx.Exec(`INSERT INTO "uniqueID" ("id") VALUES (?);`, "")
    if err != nil {
        return err
    }
	return nil
}
